lib_LTLIBRARIES = libanimia.la
include_HEADERS = include/animia.h

if BUILD_WIN
files_win = src/fd/win32.cc src/win/win32.cc src/util/win32.cc
endif

if BUILD_OSX
files_osx = src/fd/xnu.cc src/win/quartz.cc src/util/osx.cc
libs_osx = -lobjc
ldflags_osx = -framework Foundation -framework CoreGraphics -framework ApplicationServices
endif

if BUILD_LINUX
files_linux = src/fd/proc.cc
endif

if BUILD_LIBUTIL
files_libutil = src/fd/libutil.cc
libs_libutil = -lutil
endif

if BUILD_LIBKVM
files_libkvm = src/fd/kvm.cc
libs_libkvm = -lkvm
endif

if BUILD_XCB
files_x11 = src/win/x11.cc
cflags_x11 = @XCB_CFLAGS@
libs_x11 = @XCB_LIBS@
endif

if BUILD_WAYLAND
files_wayland = \
	src/win/wayland.cc \
	src/win/wayland/ext-foreign-toplevel-list-v1.c \
	src/win/wayland/wlr-foreign-toplevel-management-unstable-v1.c
cflags_wayland = @WAYLAND_CFLAGS@
libs_wayland = @WAYLAND_LIBS@
endif

libanimia_la_SOURCES = \
	src/animia.cc \
	src/fd.cc \
	src/player.cc \
	src/strategist.cc \
	src/util.cc \
	src/win.cc \
	$(files_win) \
	$(files_osx) \
	$(files_linux) \
	$(files_libutil) \
	$(files_libkvm) \
	$(files_x11) \
	$(files_wayland)

libanimia_la_CPPFLAGS = -I$(top_srcdir)/include @DEFS@

libanimia_la_CXXFLAGS = -std=c++17 $(cflags_osx) $(cflags_x11) $(cflags_wayland)
libanimia_la_LDFLAGS = -version-info 0:0:0 $(ldflags_osx)

libanimia_la_LIBADD = $(libs_wayland) $(libs_x11) $(libs_osx) $(libs_libutil) $(libs_libkvm)

ACLOCAL_AMFLAGS = -I m4
